Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003624Doomseeker[All Projects] Bugpublic2019-03-31 21:172019-04-14 15:42
ReporterWubTheCaptain 
Assigned ToPol M 
PriorityhighSeveritytrivialReproducibilityrandom
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.2 
Target Version1.3Fixed in Version1.3 
Summary0003624: User may be prompted to download an optional WAD file with no file name
DescriptionA Zandronum server can advertise a WAD with no file name (?) and Doomseeker offers to download it as an optional file (or something). However this seems harmless, as nothing is eventually downloaded and the file is ignored if other WADs are found.

See the attachments.
Steps To ReproduceZandronum server running at 212.113.152.45:6660 (mail.eyecalm.org:6660) right now. (No better idea what's going on.) Be sure to have at least one required WAD file not available from WAD path, to prompt downloading it.
Additional InformationThe server's name was "QC:DE official maps - QCDE 2.1 - Quake Champions: Doom Edition".

Quote from Show join command line
/usr/bin/zandronum -connect 212.113.152.45:6660 -iwad '' -file /home/wub/.local/share/games/doom/pwad/qcdev2.1.pk3 
-file /home/wub/.local/share/games/doom/pwad/qcdemaps2.1.pk3 -file /home/wub/.local/share/games/doom/pwad/georgeexleyannouncer.pk3 
-file /home/wub/.local/share/games/doom/pwad/qcde--hdfaces2.1.pk3 -file /home/wub/.local/share/games/doom/pwad/qcde--voxels2.0.pk3 
-file /home/wub/.local/share/games/doom/pwad/qcdemus2.0.pk3
Attached Filespng file icon 2019-03-31-210712_maim.png [^] (16,218 bytes) 2019-03-31 21:17


png file icon WADs-tooltip.png [^] (83,625 bytes) 2019-03-31 21:23

- Relationships

-  Notes
User avatar (0020462)
WubTheCaptain (developer)
2019-03-31 21:29

I don't actually know better myself if the file name is just a space character, or empty.
User avatar (0020466)
Pol M (developer)
2019-04-01 20:14

Monitoring the data we receive, it seems that this particular server is sending for some reason an empty wad entry. This can be prevented with a simple check at src/plugins/zandronum/zandronumserver.cpp:298, but just to make this clear, this is actually an issue in their server. I'm okay with adding an "if (!wad.isEmpty())" to prevent confusion.

Affected servers are hosted in mail.eyecalm.org, on ports 6660 and 6663
User avatar (0020467)
WubTheCaptain (developer)
2019-04-02 20:18

I can agree on the solution. (Set this issue's task to "assigned" if you'll work on it.)
User avatar (0020468)
Pol M (developer)
2019-04-02 21:06

pr
User avatar (0020469)
WubTheCaptain (developer)
2019-04-02 22:49

Ok to merge, seems simple enough and the fix seems to work with a quick test.
User avatar (0020491)
WubTheCaptain (developer)
2019-04-14 15:42

I didn't see this merged, but it was:https://bitbucket.org/Doomseeker/doomseeker/commits/fd4341f17c77 [^]

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2019-03-31 21:17 WubTheCaptain New Issue
2019-03-31 21:17 WubTheCaptain File Added: 2019-03-31-210712_maim.png
2019-03-31 21:23 WubTheCaptain File Added: WADs-tooltip.png
2019-03-31 21:26 WubTheCaptain Summary Wadseeker may prompt to download an optional WAD file with no file name => User may be prompted to download an optional WAD file with no file name
2019-03-31 21:26 WubTheCaptain Severity minor => trivial
2019-03-31 21:29 WubTheCaptain Note Added: 0020462
2019-04-01 20:14 Pol M Note Added: 0020466
2019-04-01 20:14 Pol M Assigned To => Pol M
2019-04-01 20:14 Pol M Status new => feedback
2019-04-02 20:18 WubTheCaptain Note Added: 0020467
2019-04-02 20:18 WubTheCaptain Status feedback => assigned
2019-04-02 20:18 WubTheCaptain Status assigned => confirmed
2019-04-02 20:19 WubTheCaptain Priority none => normal
2019-04-02 20:19 Pol M Status confirmed => assigned
2019-04-02 21:06 Pol M Note Added: 0020468
2019-04-02 21:06 Pol M Status assigned => needs testing
2019-04-02 22:47 WubTheCaptain Priority normal => high
2019-04-02 22:49 WubTheCaptain Note Added: 0020469
2019-04-08 21:01 WubTheCaptain Target Version => 1.3
2019-04-14 15:42 WubTheCaptain Note Added: 0020491
2019-04-14 15:42 WubTheCaptain Status needs testing => resolved
2019-04-14 15:42 WubTheCaptain Fixed in Version => 1.3
2019-04-14 15:42 WubTheCaptain Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker